-- 增加图表相关字段
alter table rpm_info_report add  DML longtext  NULL COMMENT 'DML';
alter table rpm_info_report add  chart_type int(10)  NULL COMMENT '图表类型';
alter table rpm_info_report add  chart_class_code VARCHAR(50)  NULL COMMENT '图表分类code';
alter table rpm_info_report add  database_id varchar(36)  NULL COMMENT '数据库id';
alter table rpm_info_report add  table_id varchar(36)  NULL COMMENT '数据表id';
alter table rpm_info_report add  chart_json longtext  NULL COMMENT '图表json串';
alter table rpm_info_report add  rich_text longtext  NULL COMMENT '富文本文档，图表类型为：富文本';
alter table rpm_info_report add  file_path varchar(200)  NULL COMMENT '文件路径，图表类型为：图片、视频';
alter table rpm_info_report add  chart_refrech int(100)  NULL COMMENT '图表数据刷新时间,单位：秒';
alter table rpm_info_report add  data_source int(3)  NULL COMMENT '数据来源，1:KPI 2:DML 3:接口';
alter table rpm_info_report modify show_type int(11) NULL COMMENT '显示类型：1-整体展示 2-根据一个KPI如通道分组展示';
alter table rpm_rel_report_kpi add  query_search_sort int(11)  NULL COMMENT '查询字段排序';
alter table rpm_rel_report_kpi add  time_query_default tinyint(4)  NULL COMMENT '时间类型KPI查询是否有默认值，1有默认值 0没有';
alter table rpm_rel_report_kpi add  time_default_offset int(11)  NULL COMMENT '时间类型KPI默认偏移值，单位：天';
alter table rpm_rel_report_kpi add  time_related_range tinyint(4)  NULL COMMENT '时间类型KPI下钻是否有范围值，1有 0没有';
alter table rpm_rel_report_kpi add  time_range_offset int(11)  NULL COMMENT '时间类型KPI范围值偏移值，单位：天';


alter table rpm_rel_report_kpi add  query_search_sort int(11)  NULL COMMENT '查询字段排序';
alter table rpm_rel_report_kpi add  time_query_default tinyint(4)  NULL COMMENT '时间类型KPI查询是否有默认值，1有默认值 0没有';
alter table rpm_rel_report_kpi add  time_default_offset int(11)  NULL COMMENT '时间类型KPI默认偏移值，单位：天';
alter table rpm_rel_report_kpi add  time_related_range tinyint(4)  NULL COMMENT '时间类型KPI下钻是否有范围值，1有 0没有';
alter table rpm_rel_report_kpi add  time_range_offset int(11)  NULL COMMENT '时间类型KPI范围值偏移值，单位：天';

CREATE TABLE IF NOT EXISTS kpim_info_function (
  id VARCHAR(36) NOT NULL COMMENT '唯一标识',
  function_name VARCHAR(30) NOT NULL COMMENT '函数名称',
  function_desc VARCHAR(500) NULL COMMENT '函数描述',
  function_value VARCHAR(500) NOT NULL COMMENT '函数内容',
  column_num INT NOT NULL COMMENT '使用字段数量',
  PRIMARY KEY (id))
ENGINE = InnoDB COMMENT = 'KPI函数表';

CREATE TABLE IF NOT EXISTS kpim_rel_kpi_function (
  kpi_id VARCHAR(36) NOT NULL COMMENT 'kpi主键',
  function_id VARCHAR(30) NOT NULL COMMENT '函数主键',
  PRIMARY KEY (kpi_id))
ENGINE = InnoDB COMMENT = 'KPI函数关系表';

insert into kpim_dim_type value(4,'函数');


alter table kpim_rel_kpi_column add sort int(5) comment '字段顺序，用作函数类型';

-- 报表查询添加排序

-- alter table rpm_rel_report_kpi add query_search_sort int(11) comment '查询字段排序';


--
INSERT INTO `kpim_dim_rule_type` VALUES ('17', 'number', '0', '数字(整数)', '4');
INSERT INTO `kpim_dim_rule_type` VALUES ('18', 'number', '1', '数字(保留1位小数)', '4');
INSERT INTO `kpim_dim_rule_type` VALUES ('19', 'number', '2', '数字(保留2位小数)', '4');
INSERT INTO `kpim_dim_rule_type` VALUES ('20', 'number', '3', '数字(保留3位小数)', '4');
INSERT INTO `kpim_dim_rule_type` VALUES ('21', 'number', '4', '数字(保留4位小数)', '4');
